;       Last change    August 1993
(in-package epiuser)
(defun epilog-args (alist)
 (cond ((null alist) nil)
	((symbolp alist) (intern (symbol-name alist) 'epilog))
	((atom alist) alist)
	(t (cons (epilog-args (car alist)) (epilog-args (cdr alist))))
	))

(defmacro epi-apply (cmd args) 
 `(apply ,cmd (if (equal (package-name *package*) "EPILOG") 
		  ,args (epilog-args ,args))))

(defun story (&rest args) (epi-apply 'epilog::story args))
(defun reassert (&rest args) (epi-apply 'epilog::reassert args))
(defun kn (&rest args) (epi-apply 'epilog::kn args))
(defun knowledge (&rest args) (epi-apply 'epilog::knowledge args))
(defun goal-knowledge (&rest args) (epi-apply 'epilog::goal-knowledge args))
(defun goal-kn (&rest args) (epi-apply 'epilog::goal-kn args))
(defun meta (&rest args) (epi-apply 'epilog::meta args))
(defun meaning-postulate (&rest args) 
 (epi-apply 'epilog::meaning-postulate args))
(defun mp (&rest args) (epi-apply 'epilog::mp args))
(defun simplification-schema (&rest args) 
 (epi-apply 'epilog::simplification-schema args))
(defun simp-schema (&rest args) (epi-apply 'epilog::simp-schema args))

(defun question (&rest args) (epi-apply 'epilog::question args))
(defun q (&rest args) (epi-apply 'epilog::q args))
(defun proof-q (&rest args) (epi-apply 'epilog::proof-q args))
(defun disproof-q (&rest args) (epi-apply 'epilog::disproof-q args))

(defun add-hier (&rest args) (epi-apply 'epilog::add-hier args))
(defun add-topic (&rest args) (epi-apply 'epilog::add-topic args))
(defun add-indicate (&rest args) (epi-apply 'epilog::add-indicate args))
(defun add-part-hier (&rest args) (epi-apply 'epilog::add-part-hier args))
(defun add-word (&rest args) (epi-apply 'epilog::add-word args))
(defun add-lex (&rest args) (epi-apply 'epilog::add-lex args))
(defun add-operator (&rest args) (epi-apply 'epilog::add-operator args))
(defun add-operator-type (&rest args) 
  (epi-apply 'epilog::add-operator-type args))
(defun add-sort (&rest args) (epi-apply 'epilog::add-sort args))
(defun add-quantifier (&rest args) (epi-apply 'epilog::add-quantifier args))
(defun add-predicate (&rest args) (epi-apply 'epilog::add-predicate args))
(defun add-function (&rest args) (epi-apply 'epilog::add-function args))

(defun tweakable (&rest args) (epi-apply 'epilog::tweakable args))
(defun tweak (&rest args) (epi-apply 'epilog::tweak args))
(defun print-tweakables (&rest args) (epi-apply 'epilog::print-tweakables args))
(defun use-spec (&rest args) (epi-apply 'epilog::use-spec args))
(defun active-specialists (&rest args) 
           (epi-apply 'epilog::active-specialists args))
(defun available-specialists (&rest args) 
           (epi-apply 'epilog::available-specialists args))

(defun traceable (&rest args) (epi-apply 'epilog::traceable args))
(defun print-traceables (&rest args) (epi-apply 'epilog::print-traceables args))
(defun trace-item (&rest args) (epi-apply 'epilog::trace-item args))
(defun trace-all (&rest args) (epi-apply 'epilog::trace-all args))
(defun untrace-item (&rest args) (epi-apply 'epilog::untrace-item args))
(defun untrace-all (&rest args) (epi-apply 'epilog::untrace-all args))

(defun say-it (&rest args) (epi-apply 'epilog::say-it args))
(defun say-them (&rest args) (epi-apply 'epilog::say-them args))
(defun do-say (&rest args) (epi-apply 'epilog::do-say args))

(defun display (&rest args) (epi-apply 'epilog::display args))
(defun print-display (&rest args) (epi-apply 'epilog::print-display args))
(defun retrieve (&rest args) (epi-apply 'epilog::retrieve args))
(defun ret (&rest args) (epi-apply 'epilog::ret args))
(defun get-everything (&rest args) (epi-apply 'epilog::get-everything args))
(defun show-everything (&rest args) (epi-apply 'epilog::show-everything args))
(defun instance-type (&rest args) (epi-apply 'epilog::instance-type args))
(defun content (&rest args) (epi-apply 'epilog::content args))
(defun description (&rest args) (epi-apply 'epilog::description args))

(defun checkpoint (&rest args) (epi-apply 'epilog::checkpoint args))
(defun retract (&rest args) (epi-apply 'epilog::retract args))

(defun help (&rest args) (epi-apply 'epilog::help args))

(defun esh (&rest args) (epi-apply 'epilog::esh args))
(defun epi-shell (&rest args) (epi-apply 'epilog::epi-shell args))
(defun epi-version (&rest args) (epi-apply 'epilog::epi-version args))

