(in-package user)
(eval-when (compile load eval)   
(provide 'eshell)
(require 'esh-interp "epilog:eshell;interp")
(require 'esh-cmds "epilog:eshell;cmds")
(defpackage eshell 
  (:use lisp #+lucid lucid-common-lisp #-lucid common-lisp #+excl excl
	esh-interp esh-cmds)
  (:export 
;;; External EpiShell symbols
;;;
          ;; Top level functions
          esh epi-shell esh-version esh-add-cmds
  
          ;; Global variables
          
          *esh-command-list* *esh-help-path* 
          *esh-trace-output* *esh-filename-case*
          *esh-error-prefix*

        ))
(unless (find-package 'eshell) (make-package 'eshell)))
(in-package eshell)


;(defvar *esh-help-path* "epilog:help;.hlp"
;        "Pathname for EpiShell help text files" )
;
;(defvar *esh-trace-output* *standard-output*
;        "Output stream for trace information" )
;
;(defvar *esh-error-prefix* "esh: "
;        "Prefix for EpiShell error messages" )
;
;(defvar *esh-filename-case* :downcase
;        "Case for filenames" )   ; if not :downcase or :upcase, no case
;                                 ; conversion is done on filenames



;(defvar *esh-command-list* nil
;  "Command list of the current EpiShell, to be used when starting a new one. In reverse order.")

(defun esh-add-cmds (cmd-specs)
    (mapc #'(lambda (name-syn)
              (if (listp name-syn) 
                  (do ((name name-syn (cdr name))
	               (good-names nil))
	              ((not name) (push (reverse good-names) 
                                        *esh-command-list*))
	              (unless (and (car name) (symbolp (car name)))
	                 (princ (car name)) 
			 (princ 
                        " should be a symbol that could be used as a command.")
	                 (return nil))
	              (setq good-names (cons (car name) good-names)))
                  (esh-add-cmds (list (list name-syn)))))
          cmd-specs)
   t
)

(esh-add-cmds  
       '((epi-shell esh epishell)
         (esh-cmds::esh-apropos apropos)
         (esh-cmds::drib dribble) (esh-cmds::cat cat) 
         (esh-cmds::echo echo %)
         (esh-cmds::os-shell os-shell !) (esh-cmds::os-csh csh)
         (esh-interp::esh-help help manual) (esh-interp::esh-show show) 
         (esh-interp::esh-set set) 
         (esh-cmds::emacs emacs edit)
         (esh-cmds::vi vi)
         (esh-cmds::less less more)
         (esh-cmds::paf paf os-print)
         (esh-cmds::lpq lpq os-queue)
         (esh-cmds::ls ls os-filelist)
         (esh-cmds::pwd pwd os-pwd)
         (esh-cmds::change-dir cd)
        )
)
