(in-package meta)


(defun %subst (&rest args &aux
		    (new (car args))
		    (old (cadr args))
		    (item (caddr args))
		    res)
  ;substitute arg1 for arg2 in arg3
  (when (and new old item (null (cdddr args)))
	(setq res (meta-substitute (print-info new) (print-info old) (print-info item)))
	(when res (setq res (case (entity-type item)
				  (wff (normalize-wff res '+))
				  (term (normalize-term res '+))
				  (pred (normalize-pred res '+))
				  (op (normalize-op res '+))
				  (otherwise (normalize-term res '+)))))
	(when (or (traced-p 'epilog::function-eval)
		  (traced-p 'epilog::meta-function-eval))
	      (print-line "    Meta Specialist: Evaluated %SUBST " 
			  (mapcar 'print-info args) " to "
			  (print-info res)) )
	)
  res)

(defun meta-substitute (new old item)
  (if (and (listp new) (equal (car new) 'qquote)) (setq new (cdr new)))
  (if (and (listp old) (equal (car old) 'qquote)) (setq old (cdr old)))
  (subst (print-info new) (print-info old) (print-info item) :test 'equal)
  )

; not much help - the system immediately converts it!!
(defun %lambdify (&rest args &aux res
			(a1 (car args)))
  ; lambdify given argument
  (when (and a1 (null (cdr args)) (symbolp a1) 
	     (getp a1 'wff-type))
	(setq res (epilib::reverse-lambda a1 t))
	(when (or (traced-p 'epilog::function-eval)
	          (traced-p 'epilog::meta-function-eval))
	      (print-line "    Meta Specialist: Evaluated %LAMBDIFY " args 
			  " to " (print-info res)))
	)
  res)
