;       Last change    August 1993
(in-package user)
(eval-when (compile load eval)   
(provide 'number-specialist)
(require 'epilib "epilog:epilib;epilib")
(require 'spec "epilog:spec;spec")
(defpackage number-specialist (:nicknames number) (:use lisp user spec lib epilib)
  (:export
	  ;; Functions for the specialist interface

	  enter evaluate incompatible-lits compatible-lits

	  ;; functions which may be used in propositions

	  max-of min-of value-of add relation

	  ;; display functions

	  number-info

	  ))
(unless (find-package 'number) (make-package 'number)))
(in-package number)


(traceable 'epilog::number-entry "Traces entry of number relations")
(traceable 'epilog::number-prop "Traces propagation of number relations")
(traceable 'epilog::number-eval "Traces evaluation of number relations")
(traceable 'epilog::number-function-eval "Traces evaluation of number functions")
(traceable 'epilog::number-search "Traces searching through the number graph")
(traceable 'epilog::number-test "Traces literal comparisons with the number specialist")
(traceable 'epilog::number-all "Traces all number happenings"
	   '(epilog::number-entry epilog::number-prop epilog::number-eval
             epilog::number-search epilog::number-test epilog::number-function-eval))
(traceable 'epilog::number-min "Traces interesting number things"
           '(epilog::number-entry epilog::number-eval epilog::number-test 
	     epilog::number-function-eval))

; make sure these are all interned into the number package

(defconstant number-preds
  '(equal less-than greater-than lt gt lt= gt=))

(load "epilog:number;defs")
(load "epilog:number;general")
(load "epilog:number;enter")
(load "epilog:number;eval")
(load "epilog:number;print")
(load "epilog:number;compare")
(load "epilog:number;functions")
