;       Last change    August 1993
(in-package other)
;                 ENTRY Routines


; Enter will call either a routine called set-... where ... is the pred
; in the package given for the predicate, or a routine already put on pred's
; property list by the other-entry-rtn function

(defun enter (netname lit negp pred arglist &aux
		      rtn)
  (declare (ignore lit))
  (unless (or (null arglist)
	      (not (symbolp pred))
	      (not (equal (pred-type pred) 'constant))
	      (not (equal netname '/))
	      negp)
	  ; call entry routine for entering that predicate
	  ; from the "entry-routine" property
	  (cond ((setq rtn (getp pred 'entry-rtn))
		 (call-entry-function negp pred arglist rtn))
		)
      )
  )

;call entry-function calls the routine rtn which corresponds to pred
; The routine is called with arguments arglist.
; If negated, no entry is done

(defun call-entry-function (negp pred arglist rtn &aux res)
  (setq res (apply rtn arglist))
  (if (traced-p 'epilog::other-eval)
      (print-line "    Other Specialist: Entered " (if negp "not" "") " "
		     (car arglist) " " pred " " (cond ((cdr arglist)) (t " "))))
  res)

