(in-package epilog)

; Lexical information
;  This file contains only the irregular forms

(add-lex 'be 'VERB  ;everything irregular 
  :present '("is" "are")
  :prespart "being"
  :past '("was" "were")
  :negative-present '("is not" "are not")
  :negative-past '("was not" "were not")
  :pastpart "been"
  :passive 'no-passive)
(add-lex 'put 'VERB  
  :prespart "putting"
  :past '("put" "put")
  :passive "put")
(add-lex 'blow 'VERB 
  :past '("blew" "blew")
  :passive "blown")
(add-lex 'give 'VERB 
  :past '("gave" "gave")
  :passive "given")
(add-lex 'know 'VERB 
  :past '("knew" "knew")
  :passive "known")
(add-lex 'do 'VERB  ;everything irregular except pres-part
  :present '("does" "do")
  :past '("did" "did")
  :negative-present '("does not" "do not")
  :negative-past '("did not" "did not")
  :pastpart "done"
  :passive 'no-passive)
(add-lex 'will 'VERB
  :present '("will" "will")
  :negative-present '("will not" "will not")
  :past '("would" "would")
  :negative-past '("would not" "would not")
  :passive 'no-passive)
(add-lex 'eat 'VERB 
  :past '("ate" "ate")
  :passive "eaten")
(add-lex 'have 'VERB 
  :present '("has" "have")
  :past '("had" "had")
  :pastpart "had"
  :passive 'no-passive) ;"had"
(add-lex 'make 'VERB
  :past '("made" "made")
  :passive "made")
(add-lex 'meet 'VERB 
  :past '("met" "met")
  :passive "met")
(add-lex 'say 'VERB
  :past '("said" "said")
  :passive "said")
(add-lex 'see 'VERB 
  :past '("saw" "saw")
  :passive "seen")
(add-lex 'sleep 'VERB 
  :past '("slept" "slept")
  :passive "slept")
(add-lex 'tell 'VERB 
  :past '("told" "told")
  :passive "told")
(add-lex 'think 'VERB  
  :past '("thought" "thought")
  :pastpart "thought"
  :passive 'no-passive)
(add-lex 'wear 'VERB 
  :past '("wore" "wore")
  :passive "worn")

(add-lex 'apparel 'NOUN :props '(mass))
(add-lex 'child 'NOUN :plural "children" :props '(masculine))
(add-lex 'cloth 'NOUN :props '(mass))
(add-lex 'danger 'NOUN :props '(mass))
(add-lex 'food 'NOUN :props '(mass))
(add-lex 'furniture 'NOUN :props '(mass)) 
(add-lex 'honey 'NOUN :props '(mass))
(add-lex 'knife 'NOUN :plural "knives")
(add-lex 'man 'NOUN :plural "men" :props '(masculine))
(add-lex 'meat 'NOUN :props '(mass))
(add-lex 'person 'NOUN :plural "people" :props '(masculine))
(add-lex 'human 'NOUN :props '(masculine))
(add-lex 'straw 'NOUN :props '(mass)) 
(add-lex 'tablecloth 'NOUN :plural "tableclothes") 
(add-lex 'tooth 'NOUN :plural "teeth") 
(add-lex 'wolf 'NOUN :plural "wolves") 
(add-lex 'woman 'NOUN :plural "women" :props '(feminine))
(add-lex 'girl 'NOUN :props '(feminine))
(add-lex 'mother 'NOUN :props '(feminine))
(add-lex 'boy 'NOUN :props '(masculine))
(add-lex 'woodcutter 'NOUN :props '(masculine))
(add-lex 'terrorist 'NOUN :props '(masculine))
(add-lex 'guerilla 'NOUN :props '(masculine))
(add-lex 'father 'NOUN :props '(masculine))
(add-lex 'minor 'NOUN :props '(masculine))
(add-lex 'adult 'NOUN :props '(masculine))
(add-lex 'parent 'NOUN :props '(masculine))
(add-lex 'wood 'NOUN :props '(mass))
(add-lex 'wool 'NOUN :props '(mass)) 
(add-lex 'member 'NOUN :props '(member))
(add-lex 'one 'NOUN :props '(member))
(add-lex 'group 'NOUN :props '(group))
(add-lex 'set 'NOUN :props '(group))
(add-lex 'collection 'NOUN :props '(group))
(add-lex 'part 'NOUN :props '(part))
 
(add-lex 'gm 'NAME :trans "Grandmother" :props '(feminine))
(add-lex 'lrrh 'NAME :trans "Little Red Riding Hood" :props '(feminine))
(add-lex 'mary 'NAME :trans "Mary" :props '(feminine))
(add-lex 'john 'NAME :trans "John" :props '(masculine))
(add-lex 'story 'NAME 
  :trans "the story of Little Red Riding Hood" 
  :subject-pronoun "the story" 
  :object-pronoun "the story")

(add-lex 'removed 'OTHER :trans "" )
(add-lex 'comma 'OTHER :trans "," )
